org.apache.fop.complexscripts.fonts

## Class GlyphTable.Rule

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.Rule

- Direct Known Subclasses:
    GlyphTable.ClassSequenceRule, GlyphTable.CoverageSequenceRule, GlyphTable.GlyphSequenceRule
  Enclosing class:
    GlyphTable

      public abstract static class GlyphTable.Rule
      extends java.lang.Object

  The `Rule` class implements an array of rule lookup records.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Rule(GlyphTable.RuleLookup[] lookups, int inputSequenceLength)` Instantiate a Rule.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInputSequenceLength()`
    `GlyphTable.RuleLookup[]` | `getLookups()`
    `void` | `resolveLookupReferences(java.util.Map<java.lang.String,GlyphTable.LookupTable> lookupTables)` Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Rule

          protected Rule(GlyphTable.RuleLookup[] lookups,
                         int inputSequenceLength)

      Instantiate a Rule.
      Parameters:
        `lookups` - the rule's lookups
        `inputSequenceLength` - the number of glyphs in the input sequence for this rule

  - ### Method Detail

    - #### getLookups

          public GlyphTable.RuleLookup[] getLookups()

      Returns:
        the lookups

    - #### getInputSequenceLength

          public int getInputSequenceLength()

      Returns:
        the input sequence length

    - #### resolveLookupReferences

          public void resolveLookupReferences(java.util.Map<java.lang.String,GlyphTable.LookupTable> lookupTables)

      Resolve references to lookup tables, e.g., in RuleLookup, to the lookup tables themselves.
      Parameters:
        `lookupTables` - map from lookup table identifers, e.g. "lu4", to lookup tables

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.